## r-cran-broom.helpers 1.14.0

=== DESCRIPTION ===
Package: broom.helpers
Title: Helpers for Model Coefficients Tibbles
Version: 1.14.0
Authors@R: c(
    person("Joseph", "Larmarange", , "joseph@larmarange.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-7097-700X")),
    person("Daniel D.", "Sjoberg", , "danield.sjoberg@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0003-0862-2018"))
  )
Description: Provides suite of functions to work with regression model
    'broom::tidy()' tibbles.  The suite includes functions to group
    regression model terms by variable, insert reference and header rows
    for categorical variables, add variable labels, and more.
License: GPL (>= 3)
URL: https://larmarange.github.io/broom.helpers/
BugReports: https://github.com/larmarange/broom.helpers/issues
Depends: R (>= 3.4)
Imports: broom (>= 0.8), cli, dplyr, labelled, lifecycle, purrr, rlang
        (>= 1.0.1), stats, stringr, tibble, tidyr
Suggests: betareg, biglm, biglmm, brms (>= 2.13.0), broom.mixed,
        cmprsk, covr, datasets, effects, emmeans, fixest (>= 0.10.0),
        forcats, gam, gee, geepack, ggplot2, ggeffects, ggstats (>=
        0.2.1), glmmTMB, glue, gt, gtsummary (>= 1.6.3), knitr, lavaan,
        lfe, lme4 (>= 1.1.28), logitr (>= 0.8.0), marginaleffects (>=
        0.10.0), margins, MASS, mgcv, mice, multgee, nnet, ordinal,
        parameters, parsnip, patchwork, plm, pscl, rmarkdown, rstanarm,
        scales, spelling, survey, survival, testthat, tidycmprsk, VGAM
VignetteBuilder: knitr
RdMacros: lifecycle
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-08-07 15:01:10 UTC; josep
Author: Joseph Larmarange [aut, cre] (<https://orcid.org/0000-0001-7097-700X>),
  Daniel D. Sjoberg [aut] (<https://orcid.org/0000-0003-0862-2018>)
Maintainer: Joseph Larmarange <joseph@larmarange.net>
Repository: CRAN
Date/Publication: 2023-08-07 15:40:02 UTC

=== debian/changelog ===
r-cran-broom.helpers (1.14.0-3) unstable; urgency=medium

  * Team upload.
  * d/tests/control: skip installing r-cran-glmmtmb on 32-bit architectures.
  * d/control: Remove autopkgtest-pkg-r as we have better autopkgtests

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Jan 2025 11:56:52 +0100

r-cran-broom.helpers (1.14.0-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 08:38:14 +0100

r-cran-broom.helpers (1.14.0-1) unstable; urgency=medium

  * Initial release (closes: #1056646)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Nov 2023 14:46:59 +0100

=== debian/control ===
Source: r-cran-broom.helpers
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-broom (>= 0.8),
               r-cran-cli,
               r-cran-dplyr,
               r-cran-labelled,
               r-cran-lifecycle,
               r-cran-purrr,
               r-cran-rlang (>= 1.0.1),
               r-cran-stringr,
               r-cran-tibble,
               r-cran-tidyr
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-broom.helpers
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-broom.helpers.git
Homepage: https://cran.r-project.org/package=broom.helpers
Rules-Requires-Root: no

Package: r-cran-broom.helpers
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R helpers for model coefficients tibbles
 Provides suite of functions to work with regression model
 'broom::tidy()' tibbles.  The suite includes functions to group
 regression model terms by variable, insert reference and header rows
 for categorical variables, add variable labels, and more.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-brms (>= 2.13.0),
        r-cran-broom.mixed,
        r-cran-cmprsk,
        r-cran-covr,
        r-cran-effects,
        r-cran-emmeans,
        r-cran-forcats,
        r-cran-gam,
        r-cran-gee,
        r-cran-geepack,
        r-cran-ggplot2,
        r-cran-ggeffects,
        r-cran-ggstats (>= 0.2.1),
        r-cran-glmmtmb [!armel !armhf !i386],
        r-cran-glue,
        r-cran-knitr,
        r-cran-lavaan,
        r-cran-lme4 (>= 1.1-28),
        r-cran-marginaleffects (>= 0.10.0),
        r-cran-mass,
        r-cran-mgcv,
        r-cran-mice,
        r-cran-nnet,
        r-cran-ordinal,
        r-cran-parameters,
        r-cran-patchwork,
        r-cran-plm,
        r-cran-pscl,
        r-cran-rmarkdown,
        r-cran-rstanarm,
        r-cran-scales,
        r-cran-spelling,
        r-cran-survey,
        r-cran-survival,
        r-cran-testthat,
        r-cran-vgam
Restrictions: allow-stderr

## r-cran-broom.helpers 1.20.0

=== DESCRIPTION ===
Package: broom.helpers
Title: Helpers for Model Coefficients Tibbles
Version: 1.20.0
Authors@R: c(
    person("Joseph", "Larmarange", , "joseph@larmarange.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-7097-700X")),
    person("Daniel D.", "Sjoberg", , "danield.sjoberg@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0003-0862-2018"))
  )
Description: Provides suite of functions to work with regression model
    'broom::tidy()' tibbles.  The suite includes functions to group
    regression model terms by variable, insert reference and header rows
    for categorical variables, add variable labels, and more.
License: GPL (>= 3)
URL: https://larmarange.github.io/broom.helpers/,
        https://github.com/larmarange/broom.helpers
BugReports: https://github.com/larmarange/broom.helpers/issues
Depends: R (>= 4.1)
Imports: broom (>= 0.8), cards, cli, dplyr (>= 1.1.0), labelled,
        lifecycle, purrr, rlang (>= 1.0.1), stats, stringr, tibble,
        tidyr, tidyselect
Suggests: betareg, biglm, brms (>= 2.13.0), broom.mixed, cmprsk, covr,
        datasets, effects, emmeans, fixest (>= 0.10.0), forcats, gam,
        gee, geepack, ggplot2, ggeffects (>= 1.3.2), ggstats (>=
        0.2.1), glmmTMB, glmtoolbox, glue, gt, gtsummary (>= 2.0.0),
        knitr, lavaan, lfe, lme4 (>= 1.1.28), logitr (>= 0.8.0),
        marginaleffects (>= 0.21.0), margins, MASS, mgcv, mice, mmrm
        (>= 0.3.6), multgee, nnet, ordinal, parameters, parsnip,
        patchwork, plm, pscl, rmarkdown, rstanarm, scales, spelling,
        survey, survival, testthat (>= 3.0.0), tidycmprsk, VGAM
VignetteBuilder: knitr
RdMacros: lifecycle
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-03-06 10:17:03 UTC; josep
Author: Joseph Larmarange [aut, cre] (<https://orcid.org/0000-0001-7097-700X>),
  Daniel D. Sjoberg [aut] (<https://orcid.org/0000-0003-0862-2018>)
Maintainer: Joseph Larmarange <joseph@larmarange.net>
Repository: CRAN
Date/Publication: 2025-03-06 11:00:02 UTC

=== debian/changelog ===
r-cran-broom.helpers (1.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 14:26:02 +0900

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: r-cran-broom.helpers
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-broom.helpers
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-broom.helpers.git
+Homepage: https://cran.r-project.org/package=broom.helpers
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-broom (>= 0.8),
+               r-cran-cards,
                r-cran-cli,
-               r-cran-dplyr,
+               r-cran-dplyr (>= 1.1.0),
                r-cran-labelled,
                r-cran-lifecycle,
                r-cran-purrr,
                r-cran-rlang (>= 1.0.1),
                r-cran-stringr,
                r-cran-tibble,
-               r-cran-tidyr
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-broom.helpers
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-broom.helpers.git
-Homepage: https://cran.r-project.org/package=broom.helpers
-Rules-Requires-Root: no
+               r-cran-tidyr,
+               r-cran-tidyselect
 
 Package: r-cran-broom.helpers
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
         r-cran-gee,
         r-cran-geepack,
         r-cran-ggplot2,
-        r-cran-ggeffects,
+        r-cran-ggeffects (>= 1.3.2),
         r-cran-ggstats (>= 0.2.1),
-        r-cran-glmmtmb [!armel !armhf !i386],
+        r-cran-glmmtmb,
         r-cran-glue,
         r-cran-knitr,
         r-cran-lavaan,
         r-cran-lme4 (>= 1.1-28),
-        r-cran-marginaleffects (>= 0.10.0),
+        r-cran-marginaleffects (>= 0.21.0),
         r-cran-mass,
         r-cran-mgcv,
         r-cran-mice,
@@ -34,6 +34,7 @@
         r-cran-spelling,
         r-cran-survey,
         r-cran-survival,
-        r-cran-testthat,
-        r-cran-vgam
+        r-cran-testthat (>= 3.0.0),
+        r-cran-vgam,
+        r-cran-glmmtmb [!armel !armhf !i386]
 Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/broom.helpers_([-\d.]*)\.tar\.gz

## r-cran-broom.helpers 1.22.0

=== debian/changelog ===
r-cran-broom.helpers (1.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Dec 2025 15:55:04 +0900

=== debian/control ===
Source: r-cran-broom.helpers
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-broom,
               r-cran-cards,
               r-cran-cli,
               r-cran-dplyr (>= 1.1.0),
               r-cran-labelled,
               r-cran-lifecycle,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-stringr,
               r-cran-tibble,
               r-cran-tidyr,
               r-cran-tidyselect,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-broom.helpers
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-broom.helpers.git
Homepage: https://cran.r-project.org/package=broom.helpers
Rules-Requires-Root: no

Package: r-cran-broom.helpers
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R helpers for model coefficients tibbles
 Provides suite of functions to work with regression model
 'broom::tidy()' tibbles.  The suite includes functions to group
 regression model terms by variable, insert reference and header rows
 for categorical variables, add variable labels, and more.

=== debian/tests/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
         r-cran-patchwork,
         r-cran-plm,
         r-cran-pscl,
+        r-cran-quantreg,
         r-cran-rmarkdown,
         r-cran-rstanarm,
         r-cran-scales,
